#!/bin/sh
# 2004 Dec 29 JDF
# This script SHOULD get all the sgml files needed 
# It may not. :)
#
if [ $# -lt 1 ]; then
    echo "usage: $0 /path/to/cygwin/build" 1>&2
    exit 1;
fi

builddir="$1"

if [ ! -d "$builddir/winsup/doc" ]; then
    echo "usage: $0 /path/to/cygwin/build" 1>&2
    echo "(Don't include winsup)" 1>&2
    exit 1;
fi

eval $(grep '^srcdir=' "$builddir/newlib/config.status" 2>/dev/null)

if [ -z "$srcdir" ]; then
    echo "couldn't find srcdir in \"$builddir/newlib/config.status\"" 1>&2
    exit 1
fi

srcdir=$(cd "$srcdir"/..; pwd)
if [ -z "$srcdir" ]; then
    echo "couldn't find srcdir path from $srcdir/.." 1>&2
    exit 1
fi


for i in ug-net api; do
    cp -uv "$builddir/winsup/doc/cygwin-$i.sgml" src/
done

for i in libc libm; do
    if [ -f "$srcdir/newlib/$i/$i.info" ]; then
	f="$srcdir/newlib/$i/$i.info"
    elif [ -f "$builddir/newlib/$i/$i.info" ]; then
	f="$builddir/newlib/$i/$i.info"
    else
	echo "New $builddir/newlib/$i/$i.info file not found!" 1>&2
	exit 1
    fi 
    cat ${f}* > src/$i.info
done

cp -uvp "$srcdir"/winsup/doc/*.dsl src/
